
QGIS Application - Bug report #4000

Easy Print Plugin ver 0.1.0 crash qgis

2011-06-19 01:57 PM - Gerhard Spieles

Status: Closed

Priority: High

Assignee: zicke -

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 13988

Description

After Update Easy Print Plugin to 0.1.0, Qgis crash using the Plugin.

The plugin seems to have a problem to generate the legend.

In the map composer preview, you can see the word "Legend", but short time after, instead of legend elements, the QGIS-crash popup

window appears.

Screenshot (pdf) is attached.

History

#1 - 2011-06-19 02:00 PM - Giovanni Manghi

- OS version deleted (XP sp3)

- Operating System deleted (Windows)

I have experienced similar issues under Linux and already noticed the author.

Now we have a section of the bug tracker for 3rd party plugins, so I guess that we need to move this ticket to the proper section.

#2 - 2011-08-29 10:37 PM - Paolo Cavallini

- Category set to 33

- Pull Request or Patch supplied set to No

#3 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#4 - 2011-12-22 08:06 AM - Jürgen Fischer

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to Yes

#5 - 2011-12-23 07:57 AM - Giovanni Manghi

Can the "easy print" subproject be created in the "User Plugins" area, so we can move this ticket? Unfortunately I cannot find the plugin author (Stefan

Ziegler) among the users registered in Redmine.

#6 - 2012-02-13 01:53 PM - David Quinn

I also had easyprint crash recently - here is the error message:
An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:/Users/djq/.qgis/python/plugins\\easyprint\\easyprint.py", line 109, in run

    maplayers = tools.utils.getLayerNames("all")

AttributeError: 'module' object has no attribute 'utils'

Python version:

2.5.2 (r252:60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit (Intel)]

QGIS version:

1.7.3-Wroclaw Wroclaw, 00624b3

Python path: ['C:/PROGRA~2/QUANTU~1/apps/qgis/./python', 'C:/Users/djq/.qgis/python', 'C:/Users/djq/.qgis/python/plugins',

'C:/PROGRA~2/QUANTU~1/apps/qgis/./python/plugins', 'C:\\\\Program Files (x86)\\\\ArcGIS\\\\Desktop10.0\\\\Bin',

'c:\\\\mapnik-2.0.1rc0\\\\python\\\\2.7\\\\site-packages', 'D:\\\\Dropbox\\\\CODE\\\\Python', 'D:\\\\Dropbox\\\\CODE\\\\Python\\\\web_mapping', 'C:\\\\Program

Files (x86)\\\\Quantum GIS Wroclaw', 'C:\\\\PROGRA~2\\\\QUANTU~1\\\\bin\\\\python25.zip',

'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\Python25\\\\DLLs', 'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib',

'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\plat-win', 'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\lib-tk',

'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\qgis\\\\bin', 'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\Python25',

'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\site-packages',

'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\win32',

'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\qgis\\\\python\\\\plugins\\\\fTools\\\\tools']

#7 - 2012-02-13 01:54 PM - David Quinn

(Apologies if this the wrong place to file the bug report)

#8 - 2012-02-18 11:58 AM - Werner Macho

- Assignee set to zicke -

as the plugin is already at version 0.2.0 is this bugreport still valid?

#9 - 2012-04-16 04:15 AM - Giovanni Manghi

- Status changed from Open to Feedback

Can this be confirmed with the lastest plugin version? in any case I would close this ticket anyway as is a 3rd party plugin.

#10 - 2012-04-16 06:28 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#11 - 2012-05-30 03:31 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed
closing for lack of feedback, because there is a new version of the tool and also because this is a 3rd party plugin and would need its own tracker here in

Redmine.

Files
